Name:          libXvMC
Version:       1.0.11
Release:       4
Summary:       X-Video Motion Compensation API
License:       MIT
URL:           https://www.x.org
Source0:       https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.gz

BuildRequires: autoconf automake libtool xorg-x11-util-macros
BuildRequires: pkgconfig(videoproto) pkgconfig(xv) libX11-devel
Requires:      libX11

%description
XvMC is an extension of the X video extension (Xv) for the X Window System.
The XvMC API allows video programs to offload portions of the video decoding
process to the GPU video-hardware.

%package       devel
Summary:       Development package for libXvMC
Requires:      %{name} = %{version}-%{release}

%description devel
The development package for libXvMC.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vif
%configure
%make_build

%check
make check

%install
%make_install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11
touch $RPM_BUILD_ROOT%{_sysconfdir}/X11/XvMCConfig

%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/*.so.*
%ghost %config(missingok,noreplace) %verify (not md5 size mtime) %{_sysconfdir}/X11/XvMCConfig

%files devel
%defattr(-,root,root)
%{_libdir}/{*.so,*.a}
%{_libdir}/pkgconfig/*.pc
%{_includedir}/X11/extensions/*.h
%exclude %{_docdir}/*/*.txt

%files help
%defattr(-,root,root)
%doc README.md XvMC_API.txt

%changelog
* Tue Feb 9 2021 jinzhimin <jinzhimin2@huawei.com> - 1.0.11-4
- rebuild libXvMC

* Tue Feb 9 2021 jinzhimin <jinzhimin2@huawei.com> - 1.0.11-3
- add check in spec

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.11-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Mon Sep 09 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.11-1
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: rebuilt spec, add help package.


* Mon Aug 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.10-8
- Package init

